@import url('https://fonts.googleapis.com/css2?family=Open+Sans&display=swap');



/*---------- BODY ----------*/



body {
    font-family: 'Open Sans', sans-serif;
    font-weight: 400;
    font-size: 14px;
}

body,html {
    scroll-behavior: smooth;
}
.container {
    max-width: 970px;
    padding: 0 15px;
    margin: 0 auto;
    line-height: 1.8;
}

p {
    color:#6A859C;
    line-height: 1.8px;
}
.hide {
    display: none !important;
}
.title {
    margin-bottom: 20px;

    color: #676770;
    font-size: 30px;
    line-height: 1.2; /* 120% */
    letter-spacing: 5px;
    text-transform: uppercase;
}
.subtitle {
    color: #8E8E9C;
    font-size: 17px;
    line-height: 1.18; /* 117.647% */
    letter-spacing: 3px;
    text-transform: uppercase;
}

.title-about {
    margin-bottom: 60px;
}
.common-section {
    text-align: center;
    padding: 80px 0;
}
.common-section--dark {
    color: #192024;
}




/*---------- HEADER ----------*/




.header__desktop {
    background-color: #fff;
    padding: 20px 0;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 100;
    position: fixed;
    box-shadow: 0px 0.25px 0px 0px rgba(0, 0, 0, 0.25);
}
.header__container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.logo {
    font-size: 25px;
    letter-spacing: 4px;
    text-transform: uppercase;
    color: #69b9ff;
}
.header__desktop .header__nav ul {
    display: flex;
}
.header__desktop .header__nav li + li {
    margin-left: 40px;
}
.header__desktop .header__nav a {
    font-size: 17.5px;
    color: #676770;
    transition: color 0.4s;
}       

.header__desktop .header__nav a:hover{
    color: #0082F3;
}

.header__desktop .header__nav a:active {
    color: #0065BD;
}




/*---------- HEADER MOBILE ----------*/




.header--mobile {
    display: none; /* по умолчанию скрыта */
    background-color: #fff;
    padding: 20px 0;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 100;
    position: fixed;
    box-shadow: 0px 0.25px 0px 0px rgba(0, 0, 0, 0.25);
}

.menu-button {
    font-size: 30px;
    background: none;
    border: none;
    cursor: pointer;
    color: #69b9ff;
}

.menu-icon,
.menu-toggle,
.mobile-menu {
display: none;
}




/*---------- WELCOME ----------*/




.welcome {
    min-height: 600px;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 195px 0;

    background-color: #fff;
    background-image: url("img/bg.png");
    background-size: cover;
    background-position: center;
}

.welcome__heading {
    margin-right: 800px;
    margin-bottom: 50px;
    font-size: 59px;
    width: 15%;
    line-height: 1;
    letter-spacing: 0.07em;

    text-transform: uppercase;
    color: #111;
}




/*---------- WELCOME BUTTONS ----------*/




.welcome__links > * + * {
    margin-left: 20px;
}
.welcome__links {
    position: relative;
    right: 330px;
}
.link-contrast {
    display: inline-block;
    padding: 10.67px 30px; 

    font-size: 16px;
    letter-spacing: 0.12em;
    text-transform: uppercase;
    color: #fff;

    border-radius: 4px;
    background: #69b9ff;
    transition: background-color 0.1s;
}
.link-contrast:hover {
    background-color: #7AC1FF;
}

.link-contrast:active {
    background-color: #1994FF;
}

.link {
    display: inline-block;
    padding: 10px 30px;

    font-size: 16px;
    letter-spacing: 0.12em;
    text-transform: uppercase;

    border: 1px solid #000;
    border-radius: 4px;
    transition: border-color 0.1s, background-color 0.1s;
}

.link:hover {
    background-color: rgba(255, 255, 255, 0.233);
    border-color: rgba(255,255,255, 0,5);
}

.link:active {
    background-color: rgba(0, 0, 0, 0.233);
}




/*---------- ABOUT (WHAT WE DO) ----------*/




.cards-about {
    display: flex;
    justify-content: space-between;
}
.card-about {
    padding: 35px 15px 25px;
    width: 300px;
    border-radius: 5px;
    border: 1px solid #DCEBF7;
}

.card-about p {
    margin-bottom: 20px;
    font-size: 16px;
}

.card-about img {
    margin-bottom: 20px;
    
    width: 94px;
    height: 94px;
    object-fit: contain;    
}

.card-about h4 {
    margin-bottom: 15px;
    color: #676770;
    font-size: 20px;
    line-height: 1.5px; /* 150% */
    letter-spacing: 7px;
    text-transform: uppercase;
}

.learnmore-button {
    display: inline-block;
    padding: 10px 30px;

    font-size: 14px;
    text-transform: uppercase;

    border: 1px solid #676770;
    border-radius: 4px;
    transition: border-color 0.1s, background-color 0.1s;
}

.learnmore-button:hover {
    background-color: rgba(255, 255, 255, 0.233);
    border-color: rgba(255,255,255, 0,5);
}

.learnmore-button:active {
    background-color: rgba(0, 0, 0, 0.233);
}




/*---------- COURSES ----------*/




.courses {
    padding: 50px 0;
    /* background-image: url(img/bg-courses3copy.png); */
    background-image: url(img/bg-courses3copy.png);
    background-size: cover;
    /* background-repeat: no-repeat; */
}

.course {
    display: flex;
    background: white;
    border-radius: 10px;
    overflow: hidden;
    margin-bottom: 200px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    align-items: center;
    transition: 0.3s;
    border: 2px;
}

.course-image {
    flex: 0 0 40%;
}

.course-image img {
    width: 100%;
    height: auto;
    display: block;
}

.course-content {
    flex: 1;
    height: 250px;
    width: 1;
    margin: 0px 20px 0px 20px;
    
}

.button-courses {
    display: inline-block;
    padding: 10px 30px;

    font-size: 16px;
    letter-spacing: 0.12em;
    text-transform: uppercase;

    border: 1px solid #000;
    border-radius: 4px;
    transition: border-color 0.1s, background-color 0.1s;
}

.button-courses:hover {
    background-color: rgba(255, 255, 255, 0.233);
    border-color: rgba(255,255,255, 0,5);
}

.button-courses:active {
    background-color: rgba(0, 0, 0, 0.233);
}

.course__heading {
    margin-bottom: 10px;
    color: #676770;
    font-size: 25px;
}

.courses__heading {
    margin-bottom: 80px;
    color: #676770;
    text-align: center;
    font-size: 30px;
    line-height: 1.3; /* 133.333% */
}

.course__text {
    color: #333;
    font-size: 16.5px;
    margin-bottom: 15px;
}




/*---------- ANIMATION ----------*/




    .wrapper {
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        position: relative;
        padding: 20px;
    }
    .slider {
        width: 900px;
        height: 500px;
        border: 2px solid #fff;
        overflow: hidden;
        position: relative;
        border: 1px solid #000;
    }
    .slides {
        display: flex;
        width: 400%;
        height: 100%;
        transition: .5s ease-out;
    }
    .slider-nav {
        position: absolute;
        bottom: 20px;
        left: 50%;
        transform: translate(-50%);
    }
    .slider-nav label{
    display: inline-block;
    width: 30px;
    height: 10px;
    background-color: #ddd;
    border-radius: 10px;
    cursor: pointer;
    margin: 2px 6px;
    opacity: 0.7;
    transition: .5s;
    }
    .slider-nav label:hover {
        opacity: 1;
        transform: scale(1.1);
        box-shadow: 0 2px 1px rgba(0,0,0,.5);
    }
    input[name="control"]{
        display: none;
    }
    .slide {
        width: 25%;
        position: relative;
    }
    .slide img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
    #s1:checked ~ .slides{
        transform: translate(0);
    }
    #s2:checked ~ .slides{
        transform: translate(-25%);
    }
    #s3:checked ~ .slides{
        transform: translate(-50%);
    }
    #s4:checked ~ .slides{
        transform: translate(-75%);
    }
    .slide::before {
    content: attr(data-city);
    display: block;
    font-weight: bold;
    color: #333;
    text-transform: uppercase;
    font-size: 3em;
    background-color: rgba(255,255,255,.6);
    padding: 6px 12px;
    position: absolute;
    border-left: 4px solid #ddd;
    left: 30px;
    top: 77%;
    }
    @media (max-width: 768px){
        .slider {
        width: 100%;
        height: 450px;
        }
    }

    .wrapper__heading {
        margin-bottom: 10px;
        color: #fff;
        font-size: 30px;
        line-height: 1.3; /* 130% */
        letter-spacing: 5px;
        text-transform: uppercase;
        text-align: center;
    }




/*---------- EXPLORE OUR COURSES ----------*/




.explore_our_courses {
    padding: 50px 0;
    background: linear-gradient(180deg, #8992ED 0%, #1B2592 100%);
}

.explore__heading {
    margin-bottom: 50px;
    color: #fff;
    font-size: 30px;
    line-height: 1.3; /* 130% */
    letter-spacing: 5px;
    text-transform: uppercase;
    text-align: center;
}

.cards-section_explore {
    display: flex;
    margin: 50px;
    width: 837px;
    justify-content: space-between;
    text-align: center;
    
}

.card-explore {
    width: 280px;
    height: 280px;
    background-color: #fff;
    margin: 0 10px 0;
    border-radius: 25px 0 25px 0;
    border: 1px solid #DCEBF7;
}

.card-explore img {
    width: 110px;
    height: 110px;
    object-fit: contain;
}
.explore_our_courses__heading {
    margin-top: 0px;
    color: #0F1661;
    font-size: 30px;
    transition: 0.3s;
}
.explore_our_courses__text {
    padding: 10px 10px;
    color: black;
    font-weight: 600;
    font-size: 16px;
    line-height: 1.2;
}

.explore_our_courses__heading:hover {
    text-decoration: underline;
}




/*---------- SECTION VOCABULARY ----------*/




.vocabulary {
    text-align: center;
    padding: 40px;
}

.cards-section_vocabulary {
    display: flex;
    margin: 50px;
    width: 837px;
    justify-content: space-between;
    text-align: center;
}
.card-tab {
    width: 400px;
    height: 250px;
    background-color: #fff;
    margin: 0 20px 0;
    border-radius: 25px 0 25px 0;
    border: 1px solid #DCEBF7;
}




/*---------- SECTION SLIDER ----------*/




.recources-wrapper  {
    max-width: 970px;
    padding: 0 15px;
    margin: 0 auto;
    line-height: 1.8;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.card-wrapper {
    margin: 0 100px 35px;
    padding: 20px 10px;
    overflow: hidden;
}

.card-list .card-item {
    list-style: none;
}

.card-list .card-item .card-link {
    user-select: none;
    display: block;
    background: #fff;
    padding: 18px;
    border-radius: 12px;
    text-decoration: none;
    border: 2px solid transparent;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.05);
    transition: 0.2 ease;
}
.card-list .card-item .card-link:active {
    cursor: grabbing;
}
.card-list .card-item .card-link:hover {
    border-color: #5372F0;
}

.card-list  .card-link .card-image {
    width: 100%;
    aspect-ratio: 16 / 9;
    object-fit: cover;
    border-radius: 10px;
}

.card-list  .card-link .badge {
    color: #5372F0;
    padding: 8px 16px;
    font-size: 13.5px;
    font-weight: 400;
    margin: 16px 0 18px;
    background: #DDE4FF;
    width: fit-content;
    border-radius: 50px;
}

.card-list  .card-link .badge.developer {
    color: #B22485;
    background: #f7DFF5;
}
.card-list  .card-link .badge.designer {
    color: #d33838;
    background: #f7DFF5;
}

.card-list  .card-link .badge.marketer {
    color: #69da85;
    background: #f7DFF5;
}
.card-list  .card-link .badge.gamer {
    color: #df6c20;
    background: #f7DFF5;
}
.card-list  .card-link .badge.editor {
    color: #5b36e0;
    background: #f7DFF5;
}

.card-list  .card-link .card-title {
    font-size: 18px;
    color: #000;
    font-weight: 600;
}

.card-list  .card-link .card-button {
    height: 35px;
    width: 35px;
    color: #5372F0;
    background: none;
    cursor: pointer; 
    border-radius: 50%;
    margin: 30px 0 5px;
    border: 2px solid #5372F0;
    transform:rotate(-45deg) ;
    transition: 0.4s ease;
}

.card-list  .card-link:hover .card-button {
    color: #fff;
    background: #5372F0;
}    

.card-wrapper .swiper-pagination-bullet {
    height: 13px;
    width: 13px;
    opacity: 0.5;
    background: #5372F0;
}

.card-wrapper .swiper-pagination-bullet:active {
    opacity: 1;
}

.card-wrapper .swiper-slide-button {
    color: #5372F0;
    margin-top: -35px;
}

@media screen and (max-width:768px) {
    .card-wrapper {
        margin: 0 10px 25px;
    }

    .card-wrapper .swiper-slide-button {
        display: none;
    }
}




/*---------- SECTION FOOTER ----------*/




.footer h4 {
color: #676770;
margin-bottom: 25px;
font-size: 18px;
line-height: 1.1; /* 111.111% */
letter-spacing: 4px;
text-transform: uppercase;
}
.footer__desc {
    padding: 35px 0;
}
.footer__desc li a {
    color: #668CAD;
    font-size: 13px;
    line-height: 1.5; /* 153.846% */
}
.footer__desc li {
    height: 30px;
    position: relative;
}
.footer__desc li::before {
    content: "";
    width: 100%;
    height: 1px;

    position: absolute;
    right: 0;
    bottom: 0;
    border-bottom: 1px solid #D5D5E0;
}

.footer__desc li + li {
    margin-top: 6px;
}
.footer__social li::before {
    width: calc(100% - 34px);
}

.footer__social img {
    width: 20px;
    height: 20px;
    object-fit: contain;
    margin-right: 10px;
}

.footer__desc-container {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}

.footer__desc-container > * {
    width: 30%;
}

.footer__copy {
    text-align: center;
    padding: 40px 0;
    background: #383838;
    color: #9E9E9E;
}
.footer__copy p {
    color: #9E9E9E;
}




/*---------- LANGUAGE SWITCHER ----------*/ 




.lang_switcher {
    display: flex;
    width: 150px;
}
.lang_switcher img {
    width: 42px;
    height: 42px;
}
.lang_link {
    text-decoration: none;
    margin: 0 7px;
}

.header__container .lang_switcher{
    display: flex;
    align-items: center;
}